List crypto wallets
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/crypto/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/crypto/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto wallets retrieved successfully.",
"data": [
{
"id": "wallet-id",
"asset": {
"id": 1,
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6
},
"balance": "250.000000",
"is_active": true,
"created_at": "2026-08-12T20:00:00.000000Z",
"updated_at": "2026-08-12T20:00:00.000000Z"
}
]
}Crypto
List crypto wallets
Get crypto wallets that belong to your business. Required scope: crypto-wallet:read.
GET
/
api
/
external
/
crypto
/
wallets
List crypto wallets
Was this page helpful?
⌘I

